gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.AccessibleHypertext

Contents

- Exported types
- Methods

Description

An interface for accessible objects containing links.

The `GtkAccessibleHypertext` interfaces is meant to be implemented by accessible objects that contain links. Those links don't necessarily have to be part of text, they can be associated with images and other things.

Since: 4.22

Synopsis

- newtype AccessibleHypertext = AccessibleHypertext (ManagedPtr AccessibleHypertext)
- class (GObject o, IsDescendantOf AccessibleHypertext o) => IsAccessibleHypertext o
- toAccessibleHypertext :: (MonadIO m, IsAccessibleHypertext o) => o -> m AccessibleHypertext

# Exported types

newtype AccessibleHypertext Source #

Memory-managed wrapper type.

Constructors

AccessibleHypertext (ManagedPtr AccessibleHypertext) |

#### Instances

Instances details

Eq AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext Methods (==) :: AccessibleHypertext -> AccessibleHypertext -> Bool Source # (/=) :: AccessibleHypertext -> AccessibleHypertext -> Bool Source #
GObject AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext
ManagedPtrNewtype AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext Methods toManagedPtr :: AccessibleHypertext -> ManagedPtr AccessibleHypertext Source #
TypedObject AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext Methods glibType :: IO GType Source #
HasParentTypes AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext
IsGValue (Maybe AccessibleHypertext) Source # | Convert `AccessibleHypertext` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AccessibleHypertext -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AccessibleHypertext) Source #
type ParentTypes AccessibleHypertext Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext type ParentTypes AccessibleHypertext = '[Accessible, Object]

class (GObject o, IsDescendantOf AccessibleHypertext o) => IsAccessibleHypertext o Source #

Type class for types which can be safely cast to `AccessibleHypertext`, for instance with `toAccessibleHypertext`.

#### Instances

Instances details

(GObject o, IsDescendantOf AccessibleHypertext o) => IsAccessibleHypertext o Source # |
Instance details Defined in GI.Gtk.Interfaces.AccessibleHypertext

toAccessibleHypertext :: (MonadIO m, IsAccessibleHypertext o) => o -> m AccessibleHypertext Source #

Cast to `AccessibleHypertext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

announce, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, resetProperty, resetRelation, resetState, runDispose, stealData, stealQdata, thawNotify, unref, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAtContext, getBounds, getData, getFirstAccessibleChild, getNextAccessibleSibling, getPlatformState, getProperty, getQdata.

#### Setters

setAccessibleParent, setData, setDataFull, setProperty.